

# Amazon Connect Cases
<a name="API_Operations_Amazon_Connect_Cases"></a>

The following actions are supported by Amazon Connect Cases:
+  [BatchGetCaseRule](API_connect-cases_BatchGetCaseRule.md) 
+  [BatchGetField](API_connect-cases_BatchGetField.md) 
+  [BatchPutFieldOptions](API_connect-cases_BatchPutFieldOptions.md) 
+  [CreateCase](API_connect-cases_CreateCase.md) 
+  [CreateCaseRule](API_connect-cases_CreateCaseRule.md) 
+  [CreateDomain](API_connect-cases_CreateDomain.md) 
+  [CreateField](API_connect-cases_CreateField.md) 
+  [CreateLayout](API_connect-cases_CreateLayout.md) 
+  [CreateRelatedItem](API_connect-cases_CreateRelatedItem.md) 
+  [CreateTemplate](API_connect-cases_CreateTemplate.md) 
+  [DeleteCase](API_connect-cases_DeleteCase.md) 
+  [DeleteCaseRule](API_connect-cases_DeleteCaseRule.md) 
+  [DeleteDomain](API_connect-cases_DeleteDomain.md) 
+  [DeleteField](API_connect-cases_DeleteField.md) 
+  [DeleteLayout](API_connect-cases_DeleteLayout.md) 
+  [DeleteRelatedItem](API_connect-cases_DeleteRelatedItem.md) 
+  [DeleteTemplate](API_connect-cases_DeleteTemplate.md) 
+  [GetCase](API_connect-cases_GetCase.md) 
+  [GetCaseAuditEvents](API_connect-cases_GetCaseAuditEvents.md) 
+  [GetCaseEventConfiguration](API_connect-cases_GetCaseEventConfiguration.md) 
+  [GetDomain](API_connect-cases_GetDomain.md) 
+  [GetLayout](API_connect-cases_GetLayout.md) 
+  [GetTemplate](API_connect-cases_GetTemplate.md) 
+  [ListCaseRules](API_connect-cases_ListCaseRules.md) 
+  [ListCasesForContact](API_connect-cases_ListCasesForContact.md) 
+  [ListDomains](API_connect-cases_ListDomains.md) 
+  [ListFieldOptions](API_connect-cases_ListFieldOptions.md) 
+  [ListFields](API_connect-cases_ListFields.md) 
+  [ListLayouts](API_connect-cases_ListLayouts.md) 
+  [ListTagsForResource](API_connect-cases_ListTagsForResource.md) 
+  [ListTemplates](API_connect-cases_ListTemplates.md) 
+  [PutCaseEventConfiguration](API_connect-cases_PutCaseEventConfiguration.md) 
+  [SearchAllRelatedItems](API_connect-cases_SearchAllRelatedItems.md) 
+  [SearchCases](API_connect-cases_SearchCases.md) 
+  [SearchRelatedItems](API_connect-cases_SearchRelatedItems.md) 
+  [TagResource](API_connect-cases_TagResource.md) 
+  [UntagResource](API_connect-cases_UntagResource.md) 
+  [UpdateCase](API_connect-cases_UpdateCase.md) 
+  [UpdateCaseRule](API_connect-cases_UpdateCaseRule.md) 
+  [UpdateField](API_connect-cases_UpdateField.md) 
+  [UpdateLayout](API_connect-cases_UpdateLayout.md) 
+  [UpdateRelatedItem](API_connect-cases_UpdateRelatedItem.md) 
+  [UpdateTemplate](API_connect-cases_UpdateTemplate.md) 

# BatchGetCaseRule
<a name="API_connect-cases_BatchGetCaseRule"></a>

Gets a batch of case rules. In the Amazon Connect admin website, case rules are known as *case field conditions*. For more information about case field conditions, see [Add case field conditions to a case template](https://docs.aws.amazon.com/connect/latest/adminguide/case-field-conditions.html).

## Request Syntax
<a name="API_connect-cases_BatchGetCaseRule_RequestSyntax"></a>

```
POST /domains/domainId/rules-batch HTTP/1.1
Content-type: application/json

{
   "caseRules": [ 
      { 
         "id": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_connect-cases_BatchGetCaseRule_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_connect-cases_BatchGetCaseRule_RequestSyntax) **   <a name="connect-connect-cases_BatchGetCaseRule-request-uri-domainId"></a>
Unique identifier of a Cases domain.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_BatchGetCaseRule_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [caseRules](#API_connect-cases_BatchGetCaseRule_RequestSyntax) **   <a name="connect-connect-cases_BatchGetCaseRule-request-caseRules"></a>
A list of case rule identifiers.  
Type: Array of [CaseRuleIdentifier](API_connect-cases_CaseRuleIdentifier.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 50 items.  
Required: Yes

## Response Syntax
<a name="API_connect-cases_BatchGetCaseRule_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "caseRules": [ 
      { 
         "caseRuleArn": "string",
         "caseRuleId": "string",
         "createdTime": "string",
         "deleted": boolean,
         "description": "string",
         "lastModifiedTime": "string",
         "name": "string",
         "rule": { ... },
         "tags": { 
            "string" : "string" 
         }
      }
   ],
   "errors": [ 
      { 
         "errorCode": "string",
         "id": "string",
         "message": "string"
      }
   ],
   "unprocessedCaseRules": [ "string" ]
}
```

## Response Elements
<a name="API_connect-cases_BatchGetCaseRule_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [caseRules](#API_connect-cases_BatchGetCaseRule_ResponseSyntax) **   <a name="connect-connect-cases_BatchGetCaseRule-response-caseRules"></a>
A list of detailed case rule information.  
Type: Array of [GetCaseRuleResponse](API_connect-cases_GetCaseRuleResponse.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.

 ** [errors](#API_connect-cases_BatchGetCaseRule_ResponseSyntax) **   <a name="connect-connect-cases_BatchGetCaseRule-response-errors"></a>
A list of case rule errors.  
Type: Array of [CaseRuleError](API_connect-cases_CaseRuleError.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.

 ** [unprocessedCaseRules](#API_connect-cases_BatchGetCaseRule_ResponseSyntax) **   <a name="connect-connect-cases_BatchGetCaseRule-response-unprocessedCaseRules"></a>
A list of unprocessed case rule identifiers.  
Type: Array of strings  
Array Members: Minimum number of 0 items. Maximum number of 50 items.  
Length Constraints: Minimum length of 1. Maximum length of 500.

## Errors
<a name="API_connect-cases_BatchGetCaseRule_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## See Also
<a name="API_connect-cases_BatchGetCaseRule_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/BatchGetCaseRule) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/BatchGetCaseRule) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/BatchGetCaseRule) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/BatchGetCaseRule) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/BatchGetCaseRule) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/BatchGetCaseRule) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/BatchGetCaseRule) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/BatchGetCaseRule) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/BatchGetCaseRule) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/BatchGetCaseRule) 

# BatchGetField
<a name="API_connect-cases_BatchGetField"></a>

Returns the description for the list of fields in the request parameters. 

## Request Syntax
<a name="API_connect-cases_BatchGetField_RequestSyntax"></a>

```
POST /domains/domainId/fields-batch HTTP/1.1
Content-type: application/json

{
   "fields": [ 
      { 
         "id": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_connect-cases_BatchGetField_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_connect-cases_BatchGetField_RequestSyntax) **   <a name="connect-connect-cases_BatchGetField-request-uri-domainId"></a>
The unique identifier of the Cases domain.   
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_BatchGetField_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [fields](#API_connect-cases_BatchGetField_RequestSyntax) **   <a name="connect-connect-cases_BatchGetField-request-fields"></a>
A list of unique field identifiers.   
Type: Array of [FieldIdentifier](API_connect-cases_FieldIdentifier.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 50 items.  
Required: Yes

## Response Syntax
<a name="API_connect-cases_BatchGetField_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "errors": [ 
      { 
         "errorCode": "string",
         "id": "string",
         "message": "string"
      }
   ],
   "fields": [ 
      { 
         "attributes": { ... },
         "createdTime": "string",
         "deleted": boolean,
         "description": "string",
         "fieldArn": "string",
         "fieldId": "string",
         "lastModifiedTime": "string",
         "name": "string",
         "namespace": "string",
         "tags": { 
            "string" : "string" 
         },
         "type": "string"
      }
   ]
}
```

## Response Elements
<a name="API_connect-cases_BatchGetField_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [errors](#API_connect-cases_BatchGetField_ResponseSyntax) **   <a name="connect-connect-cases_BatchGetField-response-errors"></a>
A list of field errors.   
Type: Array of [FieldError](API_connect-cases_FieldError.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.

 ** [fields](#API_connect-cases_BatchGetField_ResponseSyntax) **   <a name="connect-connect-cases_BatchGetField-response-fields"></a>
A list of detailed field information.   
Type: Array of [GetFieldResponse](API_connect-cases_GetFieldResponse.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.

## Errors
<a name="API_connect-cases_BatchGetField_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## Examples
<a name="API_connect-cases_BatchGetField_Examples"></a>

### Request and Response example
<a name="API_connect-cases_BatchGetField_Example_1"></a>

This example illustrates one usage of BatchGetField.

```
{
   "fields":[   
   {
      "id":"[field_id_1]"
   },
   {
      "id":"[field_id_2]"
   },
   {
      "id":"case_id"
   }
   ]
}
```

```
{
   "errors":[
     ],
     "fields":[
      {
      "description":"Test with description",
      "fieldArn":"arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]/field/[field_id_1]",
      "fieldId":"[field_id_1]",
      "name":"field1",
      "namespace":"Custom",
      "tags":{
         "resourceArn":"arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]/field/5a17045a-9150-48f9-8cd5-8a5946585b73"
         },
      "type":"SingleSelect"
      },
      {
      "description":"Unique Identifier of the case",
      "fieldArn":"arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]/field/case_id",
      "fieldId":"case_id",
      "name":"Case Id",
      "namespace":"System",
      "tags":{
         "resourceArn":"arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]/field/case_id"
         },
      "type":"Text"
      },
      {
         "description":"test",
         "fieldArn":"arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]/field/[field_id_2]",
         "fieldId":"[field_id_2]",
         "name":"field2",
         "namespace":"Custom",
         "tags":{
            "resourceArn":"arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]/field/[field_id_2]"
            },
      "type":"SingleSelect"
      }
   ]
}
```

## See Also
<a name="API_connect-cases_BatchGetField_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/BatchGetField) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/BatchGetField) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/BatchGetField) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/BatchGetField) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/BatchGetField) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/BatchGetField) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/BatchGetField) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/BatchGetField) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/BatchGetField) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/BatchGetField) 

# BatchPutFieldOptions
<a name="API_connect-cases_BatchPutFieldOptions"></a>

Creates and updates a set of field options for a single select field in a Cases domain.

## Request Syntax
<a name="API_connect-cases_BatchPutFieldOptions_RequestSyntax"></a>

```
PUT /domains/domainId/fields/fieldId/options HTTP/1.1
Content-type: application/json

{
   "options": [ 
      { 
         "active": boolean,
         "name": "string",
         "value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_connect-cases_BatchPutFieldOptions_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_connect-cases_BatchPutFieldOptions_RequestSyntax) **   <a name="connect-connect-cases_BatchPutFieldOptions-request-uri-domainId"></a>
The unique identifier of the Cases domain.   
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

 ** [fieldId](#API_connect-cases_BatchPutFieldOptions_RequestSyntax) **   <a name="connect-connect-cases_BatchPutFieldOptions-request-uri-fieldId"></a>
The unique identifier of a field.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_BatchPutFieldOptions_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [options](#API_connect-cases_BatchPutFieldOptions_RequestSyntax) **   <a name="connect-connect-cases_BatchPutFieldOptions-request-options"></a>
A list of `FieldOption` objects.  
Type: Array of [FieldOption](API_connect-cases_FieldOption.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.  
Required: Yes

## Response Syntax
<a name="API_connect-cases_BatchPutFieldOptions_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "errors": [ 
      { 
         "errorCode": "string",
         "message": "string",
         "value": "string"
      }
   ]
}
```

## Response Elements
<a name="API_connect-cases_BatchPutFieldOptions_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [errors](#API_connect-cases_BatchPutFieldOptions_ResponseSyntax) **   <a name="connect-connect-cases_BatchPutFieldOptions-response-errors"></a>
A list of field errors.   
Type: Array of [FieldOptionError](API_connect-cases_FieldOptionError.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.

## Errors
<a name="API_connect-cases_BatchPutFieldOptions_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota has been exceeded. For a list of service quotas, see [Amazon Connect Service Quotas](https://docs.aws.amazon.com/connect/latest/adminguide/amazon-connect-service-limits.html) in the *Amazon Connect Administrator Guide*.  
HTTP Status Code: 402

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## Examples
<a name="API_connect-cases_BatchPutFieldOptions_Examples"></a>

### Example
<a name="API_connect-cases_BatchPutFieldOptions_Example_1"></a>

Request and Response Example:

```
{
  "options": [
    {
    "active": true,
    "name": "California",
    "value": "CA"
    },
    {
    "active": true,
    "name": "Washington",
    "value": "WA"
    },
    {
    "active": false,
    "name": "New York",
    "value": "NY"
    },
    {
    "active": false,
    "name": "Massachusetts",
    "value": "MA"
    }
  ]
}
```

```
{
"errors": []
}
```

## See Also
<a name="API_connect-cases_BatchPutFieldOptions_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/BatchPutFieldOptions) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/BatchPutFieldOptions) 

# CreateCase
<a name="API_connect-cases_CreateCase"></a>

**Note**  
If you provide a value for `PerformedBy.UserArn` you must also have [connect:DescribeUser](https://docs.aws.amazon.com/connect/latest/APIReference/API_DescribeUser.html) permission on the User ARN resource that you provide

Creates a case in the specified Cases domain. Case system and custom fields are taken as an array id/value pairs with a declared data types.

When creating a case from a template that has tag propagation configurations, the specified tags are automatically applied to the case.

The following fields are required when creating a case:
+  `customer_id` - You must provide the full customer profile ARN in this format: `arn:aws:profile:your_AWS_Region:your_AWS_account ID:domains/your_profiles_domain_name/profiles/profile_ID` 
+  `title` 

## Request Syntax
<a name="API_connect-cases_CreateCase_RequestSyntax"></a>

```
POST /domains/domainId/cases HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "fields": [ 
      { 
         "id": "string",
         "value": { ... }
      }
   ],
   "performedBy": { ... },
   "tags": { 
      "string" : "string" 
   },
   "templateId": "string"
}
```

## URI Request Parameters
<a name="API_connect-cases_CreateCase_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_connect-cases_CreateCase_RequestSyntax) **   <a name="connect-connect-cases_CreateCase-request-uri-domainId"></a>
The unique identifier of the Cases domain.   
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_CreateCase_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_connect-cases_CreateCase_RequestSyntax) **   <a name="connect-connect-cases_CreateCase-request-clientToken"></a>
A unique, case-sensitive identifier that you provide to ensure the idempotency of the request. If not provided, the AWS SDK populates this field. For more information about idempotency, see [Making retries safe with idempotent APIs](https://aws.amazon.com/builders-library/making-retries-safe-with-idempotent-APIs/).  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 64.  
Required: No

 ** [fields](#API_connect-cases_CreateCase_RequestSyntax) **   <a name="connect-connect-cases_CreateCase-request-fields"></a>
An array of objects with field ID (matching ListFields/DescribeField) and value union data.  
Type: Array of [FieldValue](API_connect-cases_FieldValue.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 220 items.  
Required: Yes

 ** [performedBy](#API_connect-cases_CreateCase_RequestSyntax) **   <a name="connect-connect-cases_CreateCase-request-performedBy"></a>
Represents the entity that performed the action.  
Type: [UserUnion](API_connect-cases_UserUnion.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: No

 ** [tags](#API_connect-cases_CreateCase_RequestSyntax) **   <a name="connect-connect-cases_CreateCase-request-tags"></a>
A map of of key-value pairs that represent tags on a resource. Tags are used to organize, track, or control access for this resource.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 50 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?![aA][wW][sS]:)[a-zA-Z0-9 _.:/=+\-@]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Value Pattern: `([a-zA-Z0-9 _.:/=+\-@]*)`   
Required: No

 ** [templateId](#API_connect-cases_CreateCase_RequestSyntax) **   <a name="connect-connect-cases_CreateCase-request-templateId"></a>
A unique identifier of a template.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Response Syntax
<a name="API_connect-cases_CreateCase_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "caseArn": "string",
   "caseId": "string"
}
```

## Response Elements
<a name="API_connect-cases_CreateCase_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [caseArn](#API_connect-cases_CreateCase_ResponseSyntax) **   <a name="connect-connect-cases_CreateCase-response-caseArn"></a>
The Amazon Resource Name (ARN) of the case.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

 ** [caseId](#API_connect-cases_CreateCase_ResponseSyntax) **   <a name="connect-connect-cases_CreateCase-response-caseId"></a>
A unique identifier of the case.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

## Errors
<a name="API_connect-cases_CreateCase_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request. See the accompanying error message for details.  
HTTP Status Code: 409

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## Examples
<a name="API_connect-cases_CreateCase_Examples"></a>

### Request and Response example
<a name="API_connect-cases_CreateCase_Example_1"></a>

This example illustrates one usage of CreateCase.

```
{
  "templateId": "[template_id]",
  "fields": [
  {
    "id": "customer_id",
    "value": {
      "stringValue": "[customer_id]"
     },
    {
    "id": "title",
    "value": {
      "stringValue": "Incorrect Shipping Address"
      }
    }
  ],
  "clientToken": "[clientToken]",
  "tags": {
    "Department": "Shipping",
    "Priority": "High"
  }
}
```

```
{
  "caseArn": "arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]/case/[case_id]",
  "caseId": "[case_id]"
}
```

## See Also
<a name="API_connect-cases_CreateCase_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/CreateCase) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/CreateCase) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/CreateCase) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/CreateCase) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/CreateCase) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/CreateCase) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/CreateCase) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/CreateCase) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/CreateCase) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/CreateCase) 

# CreateCaseRule
<a name="API_connect-cases_CreateCaseRule"></a>

Creates a new case rule. In the Amazon Connect admin website, case rules are known as *case field conditions*. For more information about case field conditions, see [Add case field conditions to a case template](https://docs.aws.amazon.com/connect/latest/adminguide/case-field-conditions.html).

## Request Syntax
<a name="API_connect-cases_CreateCaseRule_RequestSyntax"></a>

```
POST /domains/domainId/case-rules HTTP/1.1
Content-type: application/json

{
   "description": "string",
   "name": "string",
   "rule": { ... }
}
```

## URI Request Parameters
<a name="API_connect-cases_CreateCaseRule_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_connect-cases_CreateCaseRule_RequestSyntax) **   <a name="connect-connect-cases_CreateCaseRule-request-uri-domainId"></a>
Unique identifier of a Cases domain.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_CreateCaseRule_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [description](#API_connect-cases_CreateCaseRule_RequestSyntax) **   <a name="connect-connect-cases_CreateCaseRule-request-description"></a>
The description of a case rule.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 255.  
Required: No

 ** [name](#API_connect-cases_CreateCaseRule_RequestSyntax) **   <a name="connect-connect-cases_CreateCaseRule-request-name"></a>
Name of the case rule.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 100.  
Pattern: `.*[\S]`   
Required: Yes

 ** [rule](#API_connect-cases_CreateCaseRule_RequestSyntax) **   <a name="connect-connect-cases_CreateCaseRule-request-rule"></a>
Represents what rule type should take place, under what conditions.  
Type: [CaseRuleDetails](API_connect-cases_CaseRuleDetails.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

## Response Syntax
<a name="API_connect-cases_CreateCaseRule_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "caseRuleArn": "string",
   "caseRuleId": "string"
}
```

## Response Elements
<a name="API_connect-cases_CreateCaseRule_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [caseRuleArn](#API_connect-cases_CreateCaseRule_ResponseSyntax) **   <a name="connect-connect-cases_CreateCaseRule-response-caseRuleArn"></a>
The Amazon Resource Name (ARN) of a case rule.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

 ** [caseRuleId](#API_connect-cases_CreateCaseRule_ResponseSyntax) **   <a name="connect-connect-cases_CreateCaseRule-response-caseRuleId"></a>
Unique identifier of a case rule.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

## Errors
<a name="API_connect-cases_CreateCaseRule_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request. See the accompanying error message for details.  
HTTP Status Code: 409

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota has been exceeded. For a list of service quotas, see [Amazon Connect Service Quotas](https://docs.aws.amazon.com/connect/latest/adminguide/amazon-connect-service-limits.html) in the *Amazon Connect Administrator Guide*.  
HTTP Status Code: 402

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## Examples
<a name="API_connect-cases_CreateCaseRule_Examples"></a>

### Example
<a name="API_connect-cases_CreateCaseRule_Example_1"></a>

This example illustrates one usage of CreateCaseRule.

```
CreateCaseRule
POST /domains/domainId/case-rules HTTP/1.1
Content-type: application/json
{
	"name": "RequiredIfStatusOpen",
	"description": "Makes field required if status is set to Open",
	"rule": {
		"required": {
			"conditions": [
				{
					"equalTo": {
						"operandOne": {
							"fieldId": "status"
						},
						"operandTwo": {
							"doubleValue": "Open"
						},
						"result": true
					}
				}
			],
			"defaultValue": false
		}
	}
}
```

## See Also
<a name="API_connect-cases_CreateCaseRule_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/CreateCaseRule) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/CreateCaseRule) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/CreateCaseRule) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/CreateCaseRule) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/CreateCaseRule) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/CreateCaseRule) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/CreateCaseRule) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/CreateCaseRule) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/CreateCaseRule) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/CreateCaseRule) 

# CreateDomain
<a name="API_connect-cases_CreateDomain"></a>

Creates a domain, which is a container for all case data, such as cases, fields, templates and layouts. Each Amazon Connect instance can be associated with only one Cases domain.

**Important**  
This will not associate your connect instance to Cases domain. Instead, use the Amazon Connect [CreateIntegrationAssociation](https://docs.aws.amazon.com/connect/latest/APIReference/API_CreateIntegrationAssociation.html) API. You need specific IAM permissions to successfully associate the Cases domain. For more information, see [Onboard to Cases](https://docs.aws.amazon.com/connect/latest/adminguide/required-permissions-iam-cases.html#onboard-cases-iam).

## Request Syntax
<a name="API_connect-cases_CreateDomain_RequestSyntax"></a>

```
POST /domains HTTP/1.1
Content-type: application/json

{
   "name": "string"
}
```

## URI Request Parameters
<a name="API_connect-cases_CreateDomain_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_connect-cases_CreateDomain_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [name](#API_connect-cases_CreateDomain_RequestSyntax) **   <a name="connect-connect-cases_CreateDomain-request-name"></a>
The name for your Cases domain. It must be unique for your AWS account.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 100.  
Pattern: `.*[\S]`   
Required: Yes

## Response Syntax
<a name="API_connect-cases_CreateDomain_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "domainArn": "string",
   "domainId": "string",
   "domainStatus": "string"
}
```

## Response Elements
<a name="API_connect-cases_CreateDomain_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [domainArn](#API_connect-cases_CreateDomain_ResponseSyntax) **   <a name="connect-connect-cases_CreateDomain-response-domainArn"></a>
The Amazon Resource Name (ARN) for the Cases domain.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

 ** [domainId](#API_connect-cases_CreateDomain_ResponseSyntax) **   <a name="connect-connect-cases_CreateDomain-response-domainId"></a>
The unique identifier of the Cases domain.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

 ** [domainStatus](#API_connect-cases_CreateDomain_ResponseSyntax) **   <a name="connect-connect-cases_CreateDomain-response-domainStatus"></a>
The status of the domain.  
Type: String  
Valid Values: `Active | CreationInProgress | CreationFailed` 

## Errors
<a name="API_connect-cases_CreateDomain_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request. See the accompanying error message for details.  
HTTP Status Code: 409

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
The service quota has been exceeded. For a list of service quotas, see [Amazon Connect Service Quotas](https://docs.aws.amazon.com/connect/latest/adminguide/amazon-connect-service-limits.html) in the *Amazon Connect Administrator Guide*.  
HTTP Status Code: 402

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## Examples
<a name="API_connect-cases_CreateDomain_Examples"></a>

### Request and Response example
<a name="API_connect-cases_CreateDomain_Example_1"></a>

This example illustrates one usage of CreateDomain.

```
{
  "name": "demo-amazon-cases-domain"
 }
```

```
{
  "domainArn": "arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]",
  "domainId": "[domain_id]",
  "domainStatus": "CreationInProgress"
}
```

## See Also
<a name="API_connect-cases_CreateDomain_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/CreateDomain) 

# CreateField
<a name="API_connect-cases_CreateField"></a>

Creates a field in the Cases domain. This field is used to define the case object model (that is, defines what data can be captured on cases) in a Cases domain. 

## Request Syntax
<a name="API_connect-cases_CreateField_RequestSyntax"></a>

```
POST /domains/domainId/fields HTTP/1.1
Content-type: application/json

{
   "attributes": { ... },
   "description": "string",
   "name": "string",
   "type": "string"
}
```

## URI Request Parameters
<a name="API_connect-cases_CreateField_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_connect-cases_CreateField_RequestSyntax) **   <a name="connect-connect-cases_CreateField-request-uri-domainId"></a>
The unique identifier of the Cases domain.   
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_CreateField_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [attributes](#API_connect-cases_CreateField_RequestSyntax) **   <a name="connect-connect-cases_CreateField-request-attributes"></a>
Union of field attributes.  
Type: [FieldAttributes](API_connect-cases_FieldAttributes.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: No

 ** [description](#API_connect-cases_CreateField_RequestSyntax) **   <a name="connect-connect-cases_CreateField-request-description"></a>
The description of the field.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 255.  
Required: No

 ** [name](#API_connect-cases_CreateField_RequestSyntax) **   <a name="connect-connect-cases_CreateField-request-name"></a>
The name of the field.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 100.  
Pattern: `.*[\S]`   
Required: Yes

 ** [type](#API_connect-cases_CreateField_RequestSyntax) **   <a name="connect-connect-cases_CreateField-request-type"></a>
Defines the data type, some system constraints, and default display of the field.  
Type: String  
Valid Values: `Text | Number | Boolean | DateTime | SingleSelect | Url | User`   
Required: Yes

## Response Syntax
<a name="API_connect-cases_CreateField_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "fieldArn": "string",
   "fieldId": "string"
}
```

## Response Elements
<a name="API_connect-cases_CreateField_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [fieldArn](#API_connect-cases_CreateField_ResponseSyntax) **   <a name="connect-connect-cases_CreateField-response-fieldArn"></a>
The Amazon Resource Name (ARN) of the field.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

 ** [fieldId](#API_connect-cases_CreateField_ResponseSyntax) **   <a name="connect-connect-cases_CreateField-response-fieldId"></a>
The unique identifier of a field.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

## Errors
<a name="API_connect-cases_CreateField_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request. See the accompanying error message for details.  
HTTP Status Code: 409

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota has been exceeded. For a list of service quotas, see [Amazon Connect Service Quotas](https://docs.aws.amazon.com/connect/latest/adminguide/amazon-connect-service-limits.html) in the *Amazon Connect Administrator Guide*.  
HTTP Status Code: 402

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## Examples
<a name="API_connect-cases_CreateField_Examples"></a>

### Request and Response example
<a name="API_connect-cases_CreateField_Example_1"></a>

This example illustrates one usage of CreateField.

```
{
  "name": "Color",
  "type": "Text",
  "description": "The color of the item"
}
```

```
{
  "fieldArn": "arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]/field/[field_id]",
  "fieldId": "[field_id]"
}
```

## See Also
<a name="API_connect-cases_CreateField_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/CreateField) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/CreateField) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/CreateField) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/CreateField) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/CreateField) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/CreateField) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/CreateField) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/CreateField) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/CreateField) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/CreateField) 

# CreateLayout
<a name="API_connect-cases_CreateLayout"></a>

Creates a layout in the Cases domain. Layouts define the following configuration in the top section and More Info tab of the Cases user interface:
+ Fields to display to the users
+ Field ordering

**Note**  
Title and Status fields cannot be part of layouts since they are not configurable.

## Request Syntax
<a name="API_connect-cases_CreateLayout_RequestSyntax"></a>

```
POST /domains/domainId/layouts HTTP/1.1
Content-type: application/json

{
   "content": { ... },
   "name": "string"
}
```

## URI Request Parameters
<a name="API_connect-cases_CreateLayout_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_connect-cases_CreateLayout_RequestSyntax) **   <a name="connect-connect-cases_CreateLayout-request-uri-domainId"></a>
The unique identifier of the Cases domain.   
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_CreateLayout_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [content](#API_connect-cases_CreateLayout_RequestSyntax) **   <a name="connect-connect-cases_CreateLayout-request-content"></a>
Information about which fields will be present in the layout, and information about the order of the fields.  
Type: [LayoutContent](API_connect-cases_LayoutContent.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

 ** [name](#API_connect-cases_CreateLayout_RequestSyntax) **   <a name="connect-connect-cases_CreateLayout-request-name"></a>
The name of the layout. It must be unique for the Cases domain.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 100.  
Pattern: `.*[\S]`   
Required: Yes

## Response Syntax
<a name="API_connect-cases_CreateLayout_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "layoutArn": "string",
   "layoutId": "string"
}
```

## Response Elements
<a name="API_connect-cases_CreateLayout_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [layoutArn](#API_connect-cases_CreateLayout_ResponseSyntax) **   <a name="connect-connect-cases_CreateLayout-response-layoutArn"></a>
The Amazon Resource Name (ARN) of the newly created layout.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

 ** [layoutId](#API_connect-cases_CreateLayout_ResponseSyntax) **   <a name="connect-connect-cases_CreateLayout-response-layoutId"></a>
The unique identifier of the layout.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

## Errors
<a name="API_connect-cases_CreateLayout_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request. See the accompanying error message for details.  
HTTP Status Code: 409

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota has been exceeded. For a list of service quotas, see [Amazon Connect Service Quotas](https://docs.aws.amazon.com/connect/latest/adminguide/amazon-connect-service-limits.html) in the *Amazon Connect Administrator Guide*.  
HTTP Status Code: 402

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## Examples
<a name="API_connect-cases_CreateLayout_Examples"></a>

### Request and Response example
<a name="API_connect-cases_CreateLayout_Example_1"></a>

This example illustrates one usage of CreateLayout.

```
{
  "content": {
    "basic": {
      "moreInfo": {
        "sections": [
          {
            "fieldGroup": {
              "fields": [
                {
                "id": "created_datetime"
                },
                {
                "id": "case_id"
                }
            ]
          }
        }
      ]
    },
  "topPanel": {
        "sections": [
          {
          "fieldGroup": {
          "fields": [
           {
           "id": "status"
           },
          {
          "id": "case_id"
          }
         ]
        }
       }
      ]
     }
    }
   },
  "name": "testLayout"
}
```

```
{
  "layoutArn": "arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]/layout/[layout_id]",
  "layoutId": "[layout_id]"
}
```

## See Also
<a name="API_connect-cases_CreateLayout_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/CreateLayout) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/CreateLayout) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/CreateLayout) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/CreateLayout) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/CreateLayout) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/CreateLayout) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/CreateLayout) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/CreateLayout) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/CreateLayout) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/CreateLayout) 

# CreateRelatedItem
<a name="API_connect-cases_CreateRelatedItem"></a>

Creates a related item (comments, tasks, and contacts) and associates it with a case.

There's a quota for the number of fields allowed in a Custom type related item. See [Amazon Connect Cases quotas](https://docs.aws.amazon.com/connect/latest/adminguide/amazon-connect-service-limits.html#cases-quotas).

 **Use cases** 

Following are examples of related items that you may want to associate with a case:
+ Related contacts, such as calls, chats, emails tasks
+ Comments, for agent notes
+ SLAs, to capture target resolution goals
+ Cases, to capture related Amazon Connect Cases
+ Files, such as policy documentation or customer-provided attachments
+ Custom related items, which provide flexibility for you to define related items that such as bookings, orders, products, notices, and more

 **Important things to know** 
+ If you are associating a contact to a case by passing in `Contact` for a `type`, you must have [DescribeContact](https://docs.aws.amazon.com/connect/latest/APIReference/API_DescribeContact.html) permission on the ARN of the contact that you provide in `content.contact.contactArn`.
+ A Related Item is a resource that is associated with a case. It may or may not have an external identifier linking it to an external resource (for example, a `contactArn`). All Related Items have their own internal identifier, the `relatedItemArn`. Examples of related items include `comments` and `contacts`.
+ If you provide a value for `performedBy.userArn` you must also have [DescribeUser](https://docs.aws.amazon.com/connect/latest/APIReference/API_DescribeUser.html) permission on the ARN of the user that you provide.
+ The `type` field is reserved for internal use only.

 **Endpoints**: See [Amazon Connect endpoints and quotas](https://docs.aws.amazon.com/general/latest/gr/connect_region.html).

## Request Syntax
<a name="API_connect-cases_CreateRelatedItem_RequestSyntax"></a>

```
POST /domains/domainId/cases/caseId/related-items/ HTTP/1.1
Content-type: application/json

{
   "content": { ... },
   "performedBy": { ... },
   "type": "string"
}
```

## URI Request Parameters
<a name="API_connect-cases_CreateRelatedItem_RequestParameters"></a>

The request uses the following URI parameters.

 ** [caseId](#API_connect-cases_CreateRelatedItem_RequestSyntax) **   <a name="connect-connect-cases_CreateRelatedItem-request-uri-caseId"></a>
A unique identifier of the case.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

 ** [domainId](#API_connect-cases_CreateRelatedItem_RequestSyntax) **   <a name="connect-connect-cases_CreateRelatedItem-request-uri-domainId"></a>
The unique identifier of the Cases domain.   
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_CreateRelatedItem_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [content](#API_connect-cases_CreateRelatedItem_RequestSyntax) **   <a name="connect-connect-cases_CreateRelatedItem-request-content"></a>
The content of a related item to be created.  
Type: [RelatedItemInputContent](API_connect-cases_RelatedItemInputContent.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

 ** [performedBy](#API_connect-cases_CreateRelatedItem_RequestSyntax) **   <a name="connect-connect-cases_CreateRelatedItem-request-performedBy"></a>
Represents the creator of the related item.  
Type: [UserUnion](API_connect-cases_UserUnion.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: No

 ** [type](#API_connect-cases_CreateRelatedItem_RequestSyntax) **   <a name="connect-connect-cases_CreateRelatedItem-request-type"></a>
The type of a related item.  
Type: String  
Valid Values: `Contact | Comment | File | Sla | ConnectCase | Custom`   
Required: Yes

## Response Syntax
<a name="API_connect-cases_CreateRelatedItem_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "relatedItemArn": "string",
   "relatedItemId": "string"
}
```

## Response Elements
<a name="API_connect-cases_CreateRelatedItem_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [relatedItemArn](#API_connect-cases_CreateRelatedItem_ResponseSyntax) **   <a name="connect-connect-cases_CreateRelatedItem-response-relatedItemArn"></a>
The Amazon Resource Name (ARN) of the related item.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

 ** [relatedItemId](#API_connect-cases_CreateRelatedItem_ResponseSyntax) **   <a name="connect-connect-cases_CreateRelatedItem-response-relatedItemId"></a>
The unique identifier of the related item.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

## Errors
<a name="API_connect-cases_CreateRelatedItem_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota has been exceeded. For a list of service quotas, see [Amazon Connect Service Quotas](https://docs.aws.amazon.com/connect/latest/adminguide/amazon-connect-service-limits.html) in the *Amazon Connect Administrator Guide*.  
HTTP Status Code: 402

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## Examples
<a name="API_connect-cases_CreateRelatedItem_Examples"></a>

This section provides examples for supported related item types.

### Type: Comment
<a name="API_connect-cases_CreateRelatedItem_Example_1"></a>

Request:

```
{
  "content": {
    "comment": {
      "body": "Hello World!",
      "contentType": "Text/Plain"
    }
  },
  "type": "Comment"
}
```

### Type: Sla
<a name="API_connect-cases_CreateRelatedItem_Example_2"></a>

Request: 
+  `name` is the descriptive name for the SLA
+  `targetSlaMinutes` is the time in minutes within which the SLA must be met
+  `type` only supports "CaseField"
+  `fieldId` only supports "status" field
+  `targetFieldValues` is the value that the field must reach for the SLA to be met and only supports one value.

```
{
  "content": {
    "sla": {
      "slaInputConfiguration": {
        "name": "Resolution SLA",
        "targetSlaMinutes": 10,
        "type": "CaseField",
        "fieldId": "status",
        "targetFieldValues": [
          {
            "stringValue": "closed"
          }
        ]
      }
    }
  },
  "type": "Sla"
}
```

### Type: File
<a name="API_connect-cases_CreateRelatedItem_Example_3"></a>

Request:

```
{
  "content": {
    "file": {
      "fileArn": "[fileArn]"
    }
  },
  "type": "File"
}
```

### Type: Contact
<a name="API_connect-cases_CreateRelatedItem_Example_4"></a>

Request to associate a customer contact with a case:

```
{
  "content": {
    "contact": {
      "contactArn": "[contactArn]"
    }
  },
  "type": "Contact"
}
```

### Type: Custom
<a name="API_connect-cases_CreateRelatedItem_Example_5"></a>

Request to associate a custom defined related item with a case:

**Note**  
 [System case fields](https://docs.aws.amazon.com/connect/latest/adminguide/case-fields.html#system-case-fields) cannot be used in a custom related item.

```
{
  "content": {
    "custom": {
        "fields": [
            {
            "id": "[field_id_1]",
            "value": {
                "stringValue": "Billing"
                },
            {
            "id": "[field_id_2]",
            "value": {
                "stringValue": "Incorrect Shipping Address"
                }
            }
        ],
    }
  },
  "type": "Custom"
}
```

### Type: ConnectCase
<a name="API_connect-cases_CreateRelatedItem_Example_6"></a>

Request to associate another Amazon Connect case with a case:

```
{
  "content": {
    "connectCase": {
      "caseId": "[caseId]"
    }
  },
  "type": "ConnectCase"
}
```

### CreateRelatedItem Response example
<a name="API_connect-cases_CreateRelatedItem_Example_7"></a>

All successful CreateRelatedItem requests return the same response structure: 

```
{
  "relatedItemArn": "arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]/case/[case_id]/related-item/[related_item_id]",
  "relatedItemId": "[related_item_id]"
}
```

## See Also
<a name="API_connect-cases_CreateRelatedItem_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/CreateRelatedItem) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/CreateRelatedItem) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/CreateRelatedItem) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/CreateRelatedItem) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/CreateRelatedItem) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/CreateRelatedItem) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/CreateRelatedItem) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/CreateRelatedItem) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/CreateRelatedItem) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/CreateRelatedItem) 

# CreateTemplate
<a name="API_connect-cases_CreateTemplate"></a>

Creates a template in the Cases domain. This template is used to define the case object model (that is, to define what data can be captured on cases) in a Cases domain. A template must have a unique name within a domain, and it must reference existing field IDs and layout IDs. Additionally, multiple fields with same IDs are not allowed within the same Template. A template can be either Active or Inactive, as indicated by its status. Inactive templates cannot be used to create cases.

 Other template APIs are: 
+  [DeleteTemplate](https://docs.aws.amazon.com/connect/latest/APIReference/API_connect-cases_DeleteTemplate.html) 
+  [GetTemplate](https://docs.aws.amazon.com/connect/latest/APIReference/API_connect-cases_GetTemplate.html) 
+  [ListTemplates](https://docs.aws.amazon.com/connect/latest/APIReference/API_connect-cases_ListTemplates.html) 
+  [UpdateTemplate](https://docs.aws.amazon.com/connect/latest/APIReference/API_connect-cases_UpdateTemplate.html) 

## Request Syntax
<a name="API_connect-cases_CreateTemplate_RequestSyntax"></a>

```
POST /domains/domainId/templates HTTP/1.1
Content-type: application/json

{
   "description": "string",
   "layoutConfiguration": { 
      "defaultLayout": "string"
   },
   "name": "string",
   "requiredFields": [ 
      { 
         "fieldId": "string"
      }
   ],
   "rules": [ 
      { 
         "caseRuleId": "string",
         "fieldId": "string"
      }
   ],
   "status": "string",
   "tagPropagationConfigurations": [ 
      { 
         "resourceType": "string",
         "tagMap": { 
            "string" : "string" 
         }
      }
   ]
}
```

## URI Request Parameters
<a name="API_connect-cases_CreateTemplate_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_connect-cases_CreateTemplate_RequestSyntax) **   <a name="connect-connect-cases_CreateTemplate-request-uri-domainId"></a>
The unique identifier of the Cases domain.   
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_CreateTemplate_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [description](#API_connect-cases_CreateTemplate_RequestSyntax) **   <a name="connect-connect-cases_CreateTemplate-request-description"></a>
A brief description of the template.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 255.  
Required: No

 ** [layoutConfiguration](#API_connect-cases_CreateTemplate_RequestSyntax) **   <a name="connect-connect-cases_CreateTemplate-request-layoutConfiguration"></a>
Configuration of layouts associated to the template.  
Type: [LayoutConfiguration](API_connect-cases_LayoutConfiguration.md) object  
Required: No

 ** [name](#API_connect-cases_CreateTemplate_RequestSyntax) **   <a name="connect-connect-cases_CreateTemplate-request-name"></a>
A name for the template. It must be unique per domain.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 100.  
Pattern: `.*[\S]`   
Required: Yes

 ** [requiredFields](#API_connect-cases_CreateTemplate_RequestSyntax) **   <a name="connect-connect-cases_CreateTemplate-request-requiredFields"></a>
A list of fields that must contain a value for a case to be successfully created with this template.  
Type: Array of [RequiredField](API_connect-cases_RequiredField.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 100 items.  
Required: No

 ** [rules](#API_connect-cases_CreateTemplate_RequestSyntax) **   <a name="connect-connect-cases_CreateTemplate-request-rules"></a>
A list of case rules (also known as [case field conditions](https://docs.aws.amazon.com/connect/latest/adminguide/case-field-conditions.html)) on a template.   
Type: Array of [TemplateRule](API_connect-cases_TemplateRule.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.  
Required: No

 ** [status](#API_connect-cases_CreateTemplate_RequestSyntax) **   <a name="connect-connect-cases_CreateTemplate-request-status"></a>
The status of the template.  
Type: String  
Valid Values: `Active | Inactive`   
Required: No

 ** [tagPropagationConfigurations](#API_connect-cases_CreateTemplate_RequestSyntax) **   <a name="connect-connect-cases_CreateTemplate-request-tagPropagationConfigurations"></a>
Defines tag propagation configuration for resources created within a domain. Tags specified here will be automatically applied to resources being created for the specified resource type.  
Type: Array of [TagPropagationConfiguration](API_connect-cases_TagPropagationConfiguration.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 1 item.  
Required: No

## Response Syntax
<a name="API_connect-cases_CreateTemplate_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "templateArn": "string",
   "templateId": "string"
}
```

## Response Elements
<a name="API_connect-cases_CreateTemplate_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [templateArn](#API_connect-cases_CreateTemplate_ResponseSyntax) **   <a name="connect-connect-cases_CreateTemplate-response-templateArn"></a>
The Amazon Resource Name (ARN) of the newly created template.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

 ** [templateId](#API_connect-cases_CreateTemplate_ResponseSyntax) **   <a name="connect-connect-cases_CreateTemplate-response-templateId"></a>
A unique identifier of a template.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

## Errors
<a name="API_connect-cases_CreateTemplate_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request. See the accompanying error message for details.  
HTTP Status Code: 409

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota has been exceeded. For a list of service quotas, see [Amazon Connect Service Quotas](https://docs.aws.amazon.com/connect/latest/adminguide/amazon-connect-service-limits.html) in the *Amazon Connect Administrator Guide*.  
HTTP Status Code: 402

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## Examples
<a name="API_connect-cases_CreateTemplate_Examples"></a>

### Request and Response example
<a name="API_connect-cases_CreateTemplate_Example_1"></a>

This example illustrates one usage of CreateTemplate.

```
{
  "name": "Shipping",
  "layoutConfiguration": {
    "defaultLayout": "[layout_id]"
    },
  "requiredFields": [
    {
    "fieldId": "[field_id]"
    }
  ],
  "description": "This is an example template for shipping issues",
  "status": "Inactive",
  "tagPropagationConfigurations": [
    {
      "resourceType": "Cases",
      "tagMap": {
        "Department" : "Shipping"
      }
    }
  ]
}
```

```
{
  "templateArn": "arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]/template/[template_id]",
  "templateId": "[template_id]"
}
```

## See Also
<a name="API_connect-cases_CreateTemplate_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/CreateTemplate) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/CreateTemplate) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/CreateTemplate) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/CreateTemplate) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/CreateTemplate) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/CreateTemplate) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/CreateTemplate) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/CreateTemplate) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/CreateTemplate) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/CreateTemplate) 

# DeleteCase
<a name="API_connect-cases_DeleteCase"></a>

 The DeleteCase API permanently deletes a case and all its associated resources from the cases data store. After a successful deletion, you cannot:
+ Retrieve related items
+ Access audit history
+ Perform any operations that require the CaseID

**Important**  
This action is irreversible. After you delete a case, you cannot recover its data.

## Request Syntax
<a name="API_connect-cases_DeleteCase_RequestSyntax"></a>

```
DELETE /domains/domainId/cases/caseId HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-cases_DeleteCase_RequestParameters"></a>

The request uses the following URI parameters.

 ** [caseId](#API_connect-cases_DeleteCase_RequestSyntax) **   <a name="connect-connect-cases_DeleteCase-request-uri-caseId"></a>
A unique identifier of the case.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

 ** [domainId](#API_connect-cases_DeleteCase_RequestSyntax) **   <a name="connect-connect-cases_DeleteCase-request-uri-domainId"></a>
A unique identifier of the Cases domain.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_DeleteCase_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-cases_DeleteCase_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-cases_DeleteCase_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-cases_DeleteCase_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## See Also
<a name="API_connect-cases_DeleteCase_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/DeleteCase) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/DeleteCase) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/DeleteCase) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/DeleteCase) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/DeleteCase) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/DeleteCase) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/DeleteCase) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/DeleteCase) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/DeleteCase) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/DeleteCase) 

# DeleteCaseRule
<a name="API_connect-cases_DeleteCaseRule"></a>

Deletes a case rule. In the Amazon Connect admin website, case rules are known as *case field conditions*. For more information about case field conditions, see [Add case field conditions to a case template](https://docs.aws.amazon.com/connect/latest/adminguide/case-field-conditions.html).

## Request Syntax
<a name="API_connect-cases_DeleteCaseRule_RequestSyntax"></a>

```
DELETE /domains/domainId/case-rules/caseRuleId HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-cases_DeleteCaseRule_RequestParameters"></a>

The request uses the following URI parameters.

 ** [caseRuleId](#API_connect-cases_DeleteCaseRule_RequestSyntax) **   <a name="connect-connect-cases_DeleteCaseRule-request-uri-caseRuleId"></a>
Unique identifier of a case rule.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

 ** [domainId](#API_connect-cases_DeleteCaseRule_RequestSyntax) **   <a name="connect-connect-cases_DeleteCaseRule-request-uri-domainId"></a>
Unique identifier of a Cases domain.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_DeleteCaseRule_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-cases_DeleteCaseRule_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-cases_DeleteCaseRule_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-cases_DeleteCaseRule_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request. See the accompanying error message for details.  
HTTP Status Code: 409

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

## See Also
<a name="API_connect-cases_DeleteCaseRule_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/DeleteCaseRule) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/DeleteCaseRule) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/DeleteCaseRule) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/DeleteCaseRule) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/DeleteCaseRule) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/DeleteCaseRule) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/DeleteCaseRule) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/DeleteCaseRule) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/DeleteCaseRule) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/DeleteCaseRule) 

# DeleteDomain
<a name="API_connect-cases_DeleteDomain"></a>

Deletes a Cases domain.

**Note**  
After deleting your domain you must disassociate the deleted domain from your Amazon Connect instance with another API call before being able to use Cases again with this Amazon Connect instance. See [DeleteIntegrationAssociation](https://docs.aws.amazon.com/connect/latest/APIReference/API_DeleteIntegrationAssociation.html).

## Request Syntax
<a name="API_connect-cases_DeleteDomain_RequestSyntax"></a>

```
DELETE /domains/domainId HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-cases_DeleteDomain_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_connect-cases_DeleteDomain_RequestSyntax) **   <a name="connect-connect-cases_DeleteDomain-request-uri-domainId"></a>
The unique identifier of the Cases domain.   
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_DeleteDomain_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-cases_DeleteDomain_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-cases_DeleteDomain_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-cases_DeleteDomain_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request. See the accompanying error message for details.  
HTTP Status Code: 409

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## See Also
<a name="API_connect-cases_DeleteDomain_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/DeleteDomain) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/DeleteDomain) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/DeleteDomain) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/DeleteDomain) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/DeleteDomain) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/DeleteDomain) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/DeleteDomain) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/DeleteDomain) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/DeleteDomain) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/DeleteDomain) 

# DeleteField
<a name="API_connect-cases_DeleteField"></a>

Deletes a field from a cases template.

After a field is deleted:
+ You can still retrieve the field by calling `BatchGetField`.
+ You cannot update a deleted field by calling `UpdateField`; it throws a `ValidationException`.
+ Deleted fields are not included in the `ListFields` response.
+ Calling `CreateCase` with a deleted field throws a `ValidationException` denoting which field identifiers in the request have been deleted.
+ Calling `GetCase` with a deleted field identifier returns the deleted field's value if one exists.
+ Calling `UpdateCase` with a deleted field ID throws a `ValidationException` if the case does not already contain a value for the deleted field. Otherwise it succeeds, allowing you to update or remove (using `emptyValue: {}`) the field's value from the case.
+  `GetTemplate` does not return field IDs for deleted fields.
+  `GetLayout` does not return field IDs for deleted fields.
+ Calling `SearchCases` with the deleted field ID as a filter returns any cases that have a value for the deleted field that matches the filter criteria.
+ Calling `SearchCases` with a `searchTerm` value that matches a deleted field's value on a case returns the case in the response.
+ Calling `BatchPutFieldOptions` with a deleted field ID throw a `ValidationException`.
+ Calling `GetCaseEventConfiguration` does not return field IDs for deleted fields.

## Request Syntax
<a name="API_connect-cases_DeleteField_RequestSyntax"></a>

```
DELETE /domains/domainId/fields/fieldId HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-cases_DeleteField_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_connect-cases_DeleteField_RequestSyntax) **   <a name="connect-connect-cases_DeleteField-request-uri-domainId"></a>
The unique identifier of the Cases domain.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

 ** [fieldId](#API_connect-cases_DeleteField_RequestSyntax) **   <a name="connect-connect-cases_DeleteField-request-uri-fieldId"></a>
Unique identifier of the field.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_DeleteField_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-cases_DeleteField_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-cases_DeleteField_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-cases_DeleteField_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request. See the accompanying error message for details.  
HTTP Status Code: 409

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota has been exceeded. For a list of service quotas, see [Amazon Connect Service Quotas](https://docs.aws.amazon.com/connect/latest/adminguide/amazon-connect-service-limits.html) in the *Amazon Connect Administrator Guide*.  
HTTP Status Code: 402

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## See Also
<a name="API_connect-cases_DeleteField_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/DeleteField) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/DeleteField) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/DeleteField) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/DeleteField) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/DeleteField) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/DeleteField) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/DeleteField) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/DeleteField) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/DeleteField) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/DeleteField) 

# DeleteLayout
<a name="API_connect-cases_DeleteLayout"></a>

Deletes a layout from a cases template. You can delete up to 100 layouts per domain.

After a layout is deleted:
+ You can still retrieve the layout by calling `GetLayout`.
+ You cannot update a deleted layout by calling `UpdateLayout`; it throws a `ValidationException`.
+ Deleted layouts are not included in the `ListLayouts` response.

## Request Syntax
<a name="API_connect-cases_DeleteLayout_RequestSyntax"></a>

```
DELETE /domains/domainId/layouts/layoutId HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-cases_DeleteLayout_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_connect-cases_DeleteLayout_RequestSyntax) **   <a name="connect-connect-cases_DeleteLayout-request-uri-domainId"></a>
The unique identifier of the Cases domain.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

 ** [layoutId](#API_connect-cases_DeleteLayout_RequestSyntax) **   <a name="connect-connect-cases_DeleteLayout-request-uri-layoutId"></a>
The unique identifier of the layout.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_DeleteLayout_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-cases_DeleteLayout_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-cases_DeleteLayout_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-cases_DeleteLayout_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request. See the accompanying error message for details.  
HTTP Status Code: 409

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## See Also
<a name="API_connect-cases_DeleteLayout_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/DeleteLayout) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/DeleteLayout) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/DeleteLayout) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/DeleteLayout) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/DeleteLayout) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/DeleteLayout) 
[...]
